package server

import (
	"sdk_api/middleware"

	"github.com/gin-gonic/gin"
)

func initRouter(e *gin.Engine) {

	e.Use(middleware.PrintRequestResponseBodyMiddleware())
	v1 := e.Group("/api/v1")

	{
		user := v1.Group("/user")
		user.GET("/joined", isJoined)
		user.GET("/active", active)
	}

	v1.GET("/chat", getChat)

}
